from unittest.mock import MagicMock

settings = [
    MagicMock(
        uuid="f6d70000-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"@\x01"),
        expected_value=320,
    ),
    MagicMock(
        uuid="f6d70001-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x96\x00"),
        expected_value=150,
    ),
    MagicMock(
        uuid="f6d70002-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x05\x00"),
        expected_value=5,
    ),
    MagicMock(
        uuid="f6d70003-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70004-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"!\x00"),
        expected_value=33,
    ),
    MagicMock(
        uuid="f6d70005-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"Z\x00"),
        expected_value=90,
    ),
    MagicMock(
        uuid="f6d70006-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x02\x00"),
        expected_value=2,
    ),
    MagicMock(
        uuid="f6d70007-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x07\x00"),
        expected_value=7,
    ),
    MagicMock(
        uuid="f6d70008-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x01\x00"),
        expected_value=1,
    ),
    MagicMock(
        uuid="f6d70009-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x02\x00"),
        expected_value=2,
    ),
    MagicMock(
        uuid="f6d7000a-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7000b-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\n\x00"),
        expected_value=10,
    ),
    MagicMock(
        uuid="f6d7000c-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7000d-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7000e-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7000f-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70010-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70011-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70012-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x05\x00"),
        expected_value=5,
    ),
    MagicMock(
        uuid="f6d70013-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x04\x00"),
        expected_value=4,
    ),
    MagicMock(
        uuid="f6d70014-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x01\x00"),
        expected_value=1,
    ),
    MagicMock(
        uuid="f6d70015-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"X\x02"),
        expected_value=600,
    ),
    MagicMock(
        uuid="f6d70016-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\xa4\x01"),
        expected_value=420,
    ),
    MagicMock(
        uuid="f6d70017-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x84\x03"),
        expected_value=900,
    ),
    MagicMock(
        uuid="f6d70018-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70019-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7001a-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\n\x00"),
        expected_value=10,
    ),
    MagicMock(
        uuid="f6d7001b-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x01\x00"),
        expected_value=1,
    ),
    MagicMock(
        uuid="f6d7001c-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x07\x00"),
        expected_value=7,
    ),
    MagicMock(
        uuid="f6d7001d-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7001e-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d7001f-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\xff\xff"),
        expected_value=65535,
    ),
    MagicMock(
        uuid="f6d70020-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x14\x00"),
        expected_value=20,
    ),
    MagicMock(
        uuid="f6d70021-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70022-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"!\x00"),
        expected_value=33,
    ),
    MagicMock(
        uuid="f6d70023-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x01\x00"),
        expected_value=1,
    ),
    MagicMock(
        uuid="f6d70024-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x00\x00"),
        expected_value=0,
    ),
    MagicMock(
        uuid="f6d70025-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x01\x00"),
        expected_value=1,
    ),
    MagicMock(
        uuid="f6d70026-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\x01\x00"),
        expected_value=1,
    ),
    MagicMock(
        uuid="f6d7ffff-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\xff\xff"),
        expected_value=65535,
    ),
    MagicMock(
        uuid="f6d7fffe-5a10-4eba-aa55-33e27f9bc533",
        raw_value=bytearray(b"\xff\xff"),
        expected_value=65535,
    ),
]

live_data = [
    MagicMock(
        uuid="9eae1001-9d0d-48c5-aa55-33e27f9bc533",
        raw_value=bytearray(
            b"!\x00\x00\x006\x01\x00\x00x\x00\x00\x00\x1d\x01\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00P\x00\x00\x00<,\x00\x00\xc7*\x00\x00\xc3\x01\x00\x00\x1e\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"
        ),
        expected_value=[33, 310, 120, 285, 0, 3, 80, 11324, 10951, 451, 1054, 0, 0, 0],
    ),
    MagicMock(
        uuid="9eae1003-9d0d-48c5-aa55-33e27f9bc533",
        raw_value=bytearray(b"v2.21"),
        expected_value="v2.21",
    ),
    MagicMock(
        uuid="9eae1004-9d0d-48c5-aa55-33e27f9bc533",
        raw_value=bytearray(b"\xb4\x0b\xcfB\xdbn\x00\x00"),
        expected_value="42CF656F",
    ),
]
